summaryrefslogtreecommitdiffstats
path: root/meta/recipes-core/sysvinit
diff options
context:
space:
mode:
authorJackie Huang <jackie.huang@windriver.com>2013-08-21 01:32:27 -0400
committerRichard Purdie <richard.purdie@linuxfoundation.org>2013-08-26 11:26:01 +0100
commit95180b966adb6ebe6451ab0e91187e7db93f22e4 (patch)
treeccb0d84159890aa714474d58a3288db8cd923ccf /meta/recipes-core/sysvinit
parent9262d3b06eee7e698c990399d2f10b7d68d17211 (diff)
downloadopenembedded-core-contrib-95180b966adb6ebe6451ab0e91187e7db93f22e4.tar.gz
openembedded-core-contrib-95180b966adb6ebe6451ab0e91187e7db93f22e4.tar.bz2
openembedded-core-contrib-95180b966adb6ebe6451ab0e91187e7db93f22e4.zip
sysvinit: add init.d/bootlogd status command for LSB compliance
Signed-off-by: Li Wang <li.wang@windriver.com> Signed-off-by: Jackie Huang <jackie.huang@windriver.com> Signed-off-by: Saul Wold <sgw@linux.intel.com>
Diffstat (limited to 'meta/recipes-core/sysvinit')
-rwxr-xr-xmeta/recipes-core/sysvinit/sysvinit/bootlogd.init9
1 files changed, 8 insertions, 1 deletions
diff --git a/meta/recipes-core/sysvinit/sysvinit/bootlogd.init b/meta/recipes-core/sysvinit/sysvinit/bootlogd.init
index f8f07a050f..7b87827fdf 100755
--- a/meta/recipes-core/sysvinit/sysvinit/bootlogd.init
+++ b/meta/recipes-core/sysvinit/sysvinit/bootlogd.init
@@ -13,6 +13,9 @@ DAEMON=/sbin/bootlogd
NAME=bootlogd
DESC="Bootlog daemon"
+# source function library
+. /etc/init.d/functions
+
test -f $DAEMON || exit 0
[ -r /etc/default/bootlogd ] && . /etc/default/bootlogd
@@ -73,10 +76,14 @@ case "$ACTION" in
start-stop-daemon --start --quiet --exec $DAEMON
echo "$NAME."
;;
+ status)
+ status $DAEMON
+ exit $?
+ ;;
*)
N=${0##*/}
N=${N#[SK]??}
- echo "Usage: $N {start|stop|restart|force-reload}" >&2
+ echo "Usage: $N {start|stop|status|restart|force-reload}" >&2
exit 1
;;
esac